Bug 1731913 - [4.1] arping is missing in sdn image
Summary: [4.1] arping is missing in sdn image
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.z
Assignee: Phil Cameron
QA Contact: zhaozhanqi
URL:
Whiteboard: 4.1.9
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 11:23 UTC by Casey Callendrello
Modified: 2019-08-07 15:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The arping binary was missing from the SDN image build. Consequence: Egress IPs, especially High-Availability egress IPs may not have functioned reliably.
Clone Of:
Environment:
Last Closed: 2019-08-07 15:06:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2010 None None None 2019-08-07 15:06:06 UTC
Github openshift origin pull 23450 None None None 2019-07-22 17:32:47 UTC

Description Casey Callendrello 2019-07-22 11:23:20 UTC
Description of problem:

Egress IPs relies on arping, but it's missing in the image. We've fixed this in 4.2, but we need to fix it in 4.1

Parent card: SDN-488.

Comment 1 Casey Callendrello 2019-07-22 11:28:07 UTC
4.2 bug: SDN-488, has been verified by QE.

Comment 3 zhaozhanqi 2019-07-31 03:32:54 UTC
Verified this bug on 4.1.0-0.nightly-2019-07-29-171515

# oc get co network
NAME      VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
network   4.1.0-0.nightly-2019-07-29-171515   True        False         False      18h

# oc rsh -n openshift-sdn sdn-ltklk
sh-4.2# which arping
/usr/sbin/arping
sh-4.2# exit
exit

Comment 5 errata-xmlrpc 2019-08-07 15:06:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2010


Note You need to log in before you can comment on or make changes to this bug.